Bug 150927 - FC3 hangs on install with no monitor
FC3 hangs on install with no monitor
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 21:05 EST by bruce
Modified: 2015-01-04 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bruce 2005-03-11 21:05:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
hi...

i had RH8 installed on a headless server with no problems.

i installed a clean/fresh version of FC3 and find that the server now 
hangs when i boot without a monitor. i can plugin the monitor, the 
server comes up. i unplug the monitor, the server hangs. 

the fact that the server worked without the monitor with RH8 indcates 
that it's not a BIOS/video card issue.  

trying to track this issue down via google has thus far proved 
fruitless.

the server is an intel815 based motherboard with an onboard video.

-bruce
bedouglas@earthlink.net
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.unplug monitor
2.reboot
3.
    

Actual Results:  it appears to hang after doing the kernel install, i 
think there's a line that mentions apcia (or something similar)

but the Fedora Gracphics/Install screen never appears due to the 
hanging...

Expected Results:  I expect the boot process to complete!

Additional info:

Feel free to call me, I can walk you through what I'm seeing..

if this is not a bug, there should be sufficient docs to allow the 
problem to be resolved. if it is a bug, there should be a fix to 
correct it...

thanks

bruce
bedouglas@earthlink.net
Comment 1 Dave Jones 2005-03-14 13:51:49 EST
does the problem go away if you remove the 'rhgb' from the boot
command line ?
Comment 2 bruce 2005-03-18 13:01:19 EST
(In reply to comment #1)
> does the problem go away if you remove the 'rhgb' from the boot
> command line ?

nope...

in fact, the following is my grub.conf file:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00 rhgb quiet
#          initrd /initrd-version.img
#boot=/dev/hda

#
#b douglas added params to kernel line.. due to boot without monitor
#

default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.9-1.667)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-1.667 ro root=/dev/VolGroup00/LogVol00 quiet text 
noprobe skipddc
        initrd /initrd-2.6.9-1.667.img

#linux noprobe skipddc nofb vga=0

my kernel is:
[root@lserver4 ~]# uname -a
Linux lserver4 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686 i386 
GNU/Linux

i'm running an intel 815 motherboard

the boot process seems to hang after the "bios age" "fails cutoff" line.

when i plug the monitor in, it works fine, when i unplug the monitor, the 
install hangs.

bruce
bedouglas@earthlink.net


Comment 3 Dave Jones 2005-07-15 15:56:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:37:42 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.